Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           renameutils
Version:        0.12.0
Release:        alt2_25
Summary:        A set of programs to make renaming and copying of files easier

License:        GPLv3+
URL:            http://www.nongnu.org/renameutils
Source0:        http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.gz
Patch0:         renameutils-0.12.0-install-typo.patch

BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  libreadline-devel
BuildRequires:  gettext-tools
# Bundled library exception: https://fedorahosted.org/fpc/ticket/174
Provides:       bundled(gnulib) = 20120423
Source44: import.info

%description
The file renaming utilities (renameutils for short) are a set of
programs designed to make renaming of files faster and less
cumbersome.

The file renaming utilities consists of five programs - qmv, qcp, imv,
icp and deurlname.

The qmv ("quick move") program allows file names to be edited in a
text editor. The names of all files in a directory are written to a
text file, which is then edited by the user. The text file is read and
parsed, and the changes are applied to the files.

The qcp ("quick cp") program works like qmv, but copies files instead
of moving them.

The imv ("interactive move") program, is trivial but useful when you
are too lazy to type (or even complete) the name of the file to rename
twice. It allows a file name to be edited in the terminal using the
GNU Readline library. icp copies files.

The deurlname program removes URL encoded characters (such as %%20
representing space) from file names. Some programs such as w3m tend to
keep those characters encoded in saved files.


%prep
%setup -q
%patch0 -p1 -b .install-typo


%build
%configure
%make_build


%install
%makeinstall_std INSTALL="install -p"
%find_lang %{name}
%find_lang %{name}-gnulib
# multiple -f flags in %files for <main>: merging -f %{name}-gnulib.lang into -f %{name}.lang
cat %{name}-gnulib.lang >> %{name}.lang


%files -f %{name}.lang 
%doc README TODO COPYING NEWS AUTHORS
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.12.0-alt2_25
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.12.0-alt2_23
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.12.0-alt2_22
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.12.0-alt2_21
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.12.0-alt2_20
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.12.0-alt2_19
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.12.0-alt2_18
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt2_17
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_17
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_16
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.12.0-alt1_15
- new version

